List business
curl --request GET \
--url https://api-sandbox.synctera.com/v0/businesses \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-sandbox.synctera.com/v0/businesses"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-sandbox.synctera.com/v0/businesses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.synctera.com/v0/businesses",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.synctera.com/v0/businesses"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-sandbox.synctera.com/v0/businesses")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.synctera.com/v0/businesses")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"businesses": [
{
"is_customer": true,
"status": "ACTIVE",
"addresses": [
{
"address_line_1": "100 Main St.",
"country_code": "US",
"address_line_2": "Suite 99",
"address_type": "SHIPPING",
"city": "New York",
"id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"is_registered_agent": true,
"nickname": "Home",
"postal_code": "28620",
"state": "NY"
}
],
"classifications": [
"AUTHORIZED_USER"
],
"compliance_restrictions": [
"LICENSED_CANNABIS"
],
"creation_time": "2010-05-06T12:23:34.321Z",
"customer_active": "2010-05-06T12:23:34.321Z",
"ein": "12-3456789",
"email": "alice@example.com",
"entity_name": "Apex Corporation",
"formation_date": "2000-01-01",
"formation_state": "NY",
"has_accounts": true,
"id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"last_updated_time": "2010-05-06T12:23:34.321Z",
"legal_address": {
"address_line_1": "100 Main St.",
"country_code": "US",
"address_line_2": "Suite 99",
"address_type": "SHIPPING",
"city": "New York",
"id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"is_registered_agent": true,
"nickname": "Home",
"postal_code": "28620",
"state": "NY"
},
"metadata": {},
"phone_number": "+14374570680",
"spend_control_ids": [
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
],
"structure": "CORPORATION",
"tenant": "abcdef_ghijkl",
"trade_names": [
"Apex",
"Apex LLC",
"CorporationID#77231"
],
"verification_last_run": "2010-05-06T12:23:34.321Z",
"verification_status": "ACCEPTED",
"website": "https://example.com",
"vendor_info": {
"vendor_data": {
"loanpro": {
"customer_id": 12345
}
},
"vendor_type": "LOANPRO"
}
}
],
"next_page_token": "a8937a0d"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}Businesses
List business
Retrieves paginated list of businesses associated with the authorized requester.
GET
/
businesses
List business
curl --request GET \
--url https://api-sandbox.synctera.com/v0/businesses \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-sandbox.synctera.com/v0/businesses"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-sandbox.synctera.com/v0/businesses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.synctera.com/v0/businesses",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.synctera.com/v0/businesses"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-sandbox.synctera.com/v0/businesses")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.synctera.com/v0/businesses")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"businesses": [
{
"is_customer": true,
"status": "ACTIVE",
"addresses": [
{
"address_line_1": "100 Main St.",
"country_code": "US",
"address_line_2": "Suite 99",
"address_type": "SHIPPING",
"city": "New York",
"id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"is_registered_agent": true,
"nickname": "Home",
"postal_code": "28620",
"state": "NY"
}
],
"classifications": [
"AUTHORIZED_USER"
],
"compliance_restrictions": [
"LICENSED_CANNABIS"
],
"creation_time": "2010-05-06T12:23:34.321Z",
"customer_active": "2010-05-06T12:23:34.321Z",
"ein": "12-3456789",
"email": "alice@example.com",
"entity_name": "Apex Corporation",
"formation_date": "2000-01-01",
"formation_state": "NY",
"has_accounts": true,
"id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"last_updated_time": "2010-05-06T12:23:34.321Z",
"legal_address": {
"address_line_1": "100 Main St.",
"country_code": "US",
"address_line_2": "Suite 99",
"address_type": "SHIPPING",
"city": "New York",
"id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"is_registered_agent": true,
"nickname": "Home",
"postal_code": "28620",
"state": "NY"
},
"metadata": {},
"phone_number": "+14374570680",
"spend_control_ids": [
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
],
"structure": "CORPORATION",
"tenant": "abcdef_ghijkl",
"trade_names": [
"Apex",
"Apex LLC",
"CorporationID#77231"
],
"verification_last_run": "2010-05-06T12:23:34.321Z",
"verification_status": "ACCEPTED",
"website": "https://example.com",
"vendor_info": {
"vendor_data": {
"loanpro": {
"customer_id": 12345
}
},
"vendor_type": "LOANPRO"
}
}
],
"next_page_token": "a8937a0d"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}Authorizations
Query Parameters
Specifies the classification of a party for banks. It can contain multiple values. Specifies the classification of a party for banks. This may contain multiple values for a combined classifications list of customers.
Specifies the classification of a party.
Available options:
AUTHORIZED_USER, BANK_CUSTOMER, INACTIVE_BANK_CUSTOMER, PROSPECT Status of the business. One of the following:
PROSPECT– a potential customer, used for information-gathering and disclosures.ACTIVE– is an integrator defined status. Integrators should set a business to active if they believe the person to be qualified for conducting business. Synctera will combine this status with other statuses such a verification to determine if the business is eligible for specific actions such as initiating transactions or issuing a card.FROZEN– business's actions are blocked for security, legal, or other reasons.SANCTION– business is on a sanctions list and should be carefully monitored.DISSOLVED– an inactive status indicating a business entity has filed articles of dissolution or a certificate of termination to terminate its existence.CANCELLED– an inactive status indicating that a business entity has filed a cancellation or has failed to file its periodic report after notice of forfeiture of its rights to do business.SUSPENDED– an inactive status indicating that the business entity has lost the right to operate in it's registered jurisdiction.MERGED– an inactive status indicating that the business entity has terminated existence by merging into another entity.INACTIVE– an inactive status indicating that the business entity is no longer active.CONVERTED– An inactive status indicating that the business entity has been converted to another type of business entity in the same jurisdiction.
Available options:
ACTIVE, CANCELLED, CONVERTED, DISSOLVED, FROZEN, INACTIVE, MERGED, PROSPECT, SANCTION, SUSPENDED Was this page helpful?

